SURF(1)

NAME
surf - simple webkit-based browser

SYNOPSIS
surf [-bBdDfFgGiIkKmMnNpPsStTvwxX] [-a cookiepolicies] [-c cookiefile] [-C stylefile] [-e xid] [-r scriptfile] [-u useragent] [-z zoomlevel] [URI]

DESCRIPTION
surf is a simple Web browser based on WebKit/GTK+. It is able to display websites and follow links. It supports the XEmbed protocol which makes it possible to embed it in another application. Furthermore, one can point surf to another URI by setting its XProperties.

OPTIONS

-a cookiepolicies
    Define the order of cookie policies. The default is "@Aa" but could be redefined in the config.h, with "A" meaning to accept all cookies, "a" to deny all cookies and "@", which tells surf to accept no third party cookies.

-b  Disable Scrollbars.

-B  Enable Scrollbars.

-c cookiefile
    Specify the cookiefile to use.

-C stylefile
    Specify the user stylefile. This does disable the site-specific styles.

-d  Disable the disk cache.

-D  Enable the disk cache.

-e xid
    Reparents to window specified by xid.

-f  Start surf in windowed mode (not fullscreen).

-F  Start surf in fullscreen mode.

-g  Disable giving the geolocation to websites.

-G  Enable giving the geolocation to websites.

-i  Disable Images.

-I  Enable Images.

-k  Disable kiosk mode (disable key strokes and right click).

-K  Enable kiosk mode (disable key strokes and right click).

-m  Disable application of user style sheets.

-M  Enable application of user style sheets.

-n  Disable the Web Inspector (Developer Tools).

-N  Enable the Web Inspector (Developer Tools).

-p  Disable Plugins.

-P  Enable Plugins.

-r scriptfile
    Specify the user scriptfile.

-s  Disable Javascript.

-S  Enable Javascript.

-t  Disable strict TLS check.

-T  Enable strict TLS check.

-u useragent
    Specify the useragent which surf should use.

-v  Prints version information to standard output, then exits.

-w  Prints xid to standard output. This can be used to script the browser in for example xdotool(1).

-x  Disable custom certificates.

-X  Enable custom certificates.

-z zoomlevel
    Specify the zoomlevel which surf should use.

USAGE
Escape Stops loading current page or stops download.

Ctrl-h
    Walks back the history.

Ctrl-l
    Walks forward the history.

Ctrl-k
    Scrolls page upwards.

Ctrl-j
    Scrolls page downwards.

Ctrl-b
    Scroll up one whole page view.

Ctrl-Space
    Scroll down one whole page view.

Ctrl-i
    Scroll horizontally to the right.

Ctrl-u
    Scroll horizontally to the left.

Ctrl-Shift-k or Ctrl-+
    Zooms page in.

Ctrl-Shift-j or Ctrl--
    Zooms page out.

Ctrl-Shift-q
    Resets Zoom.

Ctrl-f and Ctrl-/
    Opens the search-bar.

Ctrl-n
    Go to next search result.

Ctrl-Shift-n
    Go to previous search result.

Ctrl-g
    Opens the URL-bar (requires dmenu installed).

Ctrl-p
    Loads URI from primary selection.

Ctrl-Shift-p
    Calls Printpage Dialog.

Ctrl-r
    Reloads the website.

Ctrl-Shift-r
    Reloads the website without using the cache.

Ctrl-y
    Copies current URI to primary selection.

Ctrl-t
    Display the current TLS certificate in a popup window.

Ctrl-Shift-a
    Toggle through the the cookie policies. This will not reload the page.

Ctrl-Shift-b
    Toggle scrollbars. This will reload the page.

Ctrl-Shift-c
    Toggle caret browsing. This will reload the page.

Ctrl-Shift-i
    Toggle auto-loading of images. This will reload the page.

Ctrl-Shift-m
    Toggle if the stylefile file should be loaded. This will reload the page.

Ctrl-Shift-o
    Open the Web Inspector (Developer Tools) window for the current page.

Ctrl-Shift-s
    Toggle script execution. This will reload the page.

Ctrl-Shift-t
    Toggle strict TLS check. This will reload the page.

Ctrl-Shift-v
    Toggle the enabling of plugins on that surf instance. This will reload the page.

F11 Toggle fullscreen mode.

INDICATORS OF OPERATION
Surf is showing indicators of operation in front of the site title. For all indicators, unless otherwise specified, a lower case letter means disabled and an upper case letter means enabled.

A   all cookies accepted

a   no cookies accepted

@   all except third-party cookies accepted

c C caret browsing

g G geolocation

d D disk cache

i I images

s S scripts

v V plugins

m M styles

f F frame flattening

x X custom certificates

t T strict TLS

INDICATORS OF WEB PAGE
The second part of the indicators specifies modes of the web page itself.

  First character: encryption

-   unencrypted

T   encrypted (TLS)

U   attempted encryption but failed

  Second character: proxying

-   no proxy

P   using proxy

ENVIRONMENT
SURF_USERAGENT If this variable is set upon startup, surf will use it as the useragent string.

http_proxy
    If this variable is set and not empty upon startup, surf will use it as the http proxy.

SIGNALS
Surf will reload the current page on SIGHUP.

PLUGINS
For using plugins in surf, first determine your running architecture. Then get the appropriate plugin for that architecture and copy it to /usr/lib/browser-plugins or /usr/lib64/browser-plugins. Surf should load them automatically. If you want to use a 32bit plugin on a 64bit system, nspluginwrapper(1) will help you.

SEE ALSO
dmenu(1), xprop(1), tabbed(1), nspluginwrapper(1), xdotool(1)

BUGS
Please report them!